> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/users-and-accounts/free-trial.md).

# Free Trial

## POST /api/Public/FreeTrial/create

> Create free trial

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"FreeTrial"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.FreeTrialRequest":{"required":["emailId","name","password"],"type":"object","properties":{"emailId":{"maxLength":150,"minLength":0,"type":"string"},"password":{"maxLength":150,"minLength":0,"type":"string"},"name":{"maxLength":150,"minLength":0,"type":"string"},"microsoftAccessKey":{"type":"string","nullable":true},"googleAccessKey":{"type":"string","nullable":true},"isSSO":{"type":"boolean"},"ssoProvider":{"type":"string","nullable":true},"source":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/FreeTrial/create":{"post":{"tags":["FreeTrial"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.FreeTrialRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Create free trial","operationId":"post_FreeTrial_create"}}}}
```

## POST /api/Public/FreeTrial/verify-email

> Verify email

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"FreeTrial"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.VerifyEmailRequest":{"required":["token"],"type":"object","properties":{"token":{"minLength":1,"type":"string"}},"additionalProperties":false}}},"paths":{"/api/Public/FreeTrial/verify-email":{"post":{"tags":["FreeTrial"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.VerifyEmailRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Verify email","operationId":"post_FreeTrial_verify_email"}}}}
```

## POST /api/Public/FreeTrial/resend-verification

> Resend verification

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"FreeTrial"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.ResendVerificationRequest":{"required":["subscriberId"],"type":"object","properties":{"subscriberId":{"type":"integer","format":"int32"}},"additionalProperties":false}}},"paths":{"/api/Public/FreeTrial/resend-verification":{"post":{"tags":["FreeTrial"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.ResendVerificationRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Resend verification","operationId":"post_FreeTrial_resend_verification"}}}}
```
